@import "src/styles/scss/partials/mixins";
@import "src/styles/scss/partials/variables";

.root {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    gap: var(--spacing-large);

    &__card {
        flex: 0 0 calc(33.33333% - var(--spacing-normal));
        max-width: calc(33.33333% - var(--spacing-normal));
    }

    &__fitContent {
        height: fit-content;
    }
}

@include down($screen-sm-end) {
    .root {
        order: 2;
    }
}

@include xs {
    .root {
        &__card {
            flex: 0 0 calc(50% - var(--spacing-small));
            max-width: calc(50% - var(--spacing-small));
        }
    }
}

@include down(420px) {
    .root {
        &__card {
            flex: 0 0 100%;
            max-width: 100%;
        }
    }
}
